##       ███████████████████████████████████████████████████████████████████████████████████████████         
##       EXTRA NO ENTRY                                                                                                                                           
##       This is where the game jumps if you entered extra "OMAKE" mode whitout finishing the game first.
##       ███████████████████████████████████████████████████████████████████████████████████████████ 

label extra_no_entry:
    $ renpy.block_rollback()
    play music "illusions_piano-version.ogg"
    scene accessdenied with dissolve
    lucy_ex "I'm sorry but this section is currently off-limits."
    lucy_ex "Please try and finish the game at least once to gain access to this section."
    $ renpy.block_rollback()
    scene main01 with dissolve
    jump main_menu

    
##       ███████████████████████████████████████████████████████████████████████████████████████████     
##       EXTRA                                                                                                                                       
##       This is where the game jumps if you entered extra "OMAKE" mode after finishing the game 
##       at least once.
##       ███████████████████████████████████████████████████████████████████████████████████████████     
    
label extra:
    $ extra_mode = False
    $ renpy.block_rollback()
    if not music_playing:
        play music "illusions_piano-version.ogg"
    scene gui_extra_menu 
    $ music_playing = False
    $ renpy.pause(0.2, hard=True)
    jump extra_menu
    
label extra_menu:
    
    python:
        result = renpy.imagemap("gui_extra_menu_a1.png", "gui_extra_menu_a2.png", [
        (489, 195, 706, 247, "gallery"),
        (520, 115, 739, 168, "music"),
        (457, 273, 674, 326, "scrap"), 
        (422, 351, 640, 404, "crap"),
        (388, 429, 606, 482, "side_story"),
        (609, 525, 796, 564, "back"),
        ], focus="imagemap")
        
    if result == "gallery":
        
        $ renpy.block_rollback()
        $ renpy.pause(0.2, hard=True)
        scene gui_extra_gallery_menu with dissolve
        jump extra_gallery
        
    elif result == "music":
        scene gui_music_room with dissolve
        jump music_room   
        
    elif result == "scrap":
        jump scrap
        
    elif result == "crap":
        
        $ renpy.block_rollback()
        stop music fadeout 3.0
        scene black with fade
        $ renpy.pause(3.0, hard=True)
        $ crap_mode = True
        $ renpy.jump_out_of_context("start")
        #jump start
        
    elif result == "side_story":
        $ renpy.block_rollback()
        stop music fadeout 2.0
        show gui_side_story_a1 with dissolve
        $ renpy.block_rollback()
        $ renpy.pause(0.2, hard=True)
        $ renpy.block_rollback()
        show gui_side_story_a2 with dissolve
        $ renpy.block_rollback()
        $ renpy.pause(0.2, hard=True)
        $ renpy.block_rollback()
        show gui_side_story_a3 with dissolve
        $ renpy.block_rollback()
        $ renpy.pause(500000.0, hard=False)
        $ renpy.block_rollback()
        $ another_story = True
        $ renpy.jump_out_of_context("start")
        
    elif result == "back":
        $ renpy.block_rollback()
        scene main01 with dissolve
        jump main_menu
        
        
##       ███████████████████████████████████████████████████████████████████████████████████████████     
##       EXTRA GALLERY                                                                                                                                  
##       This is where the game jumps if you entered "GALLERY" inside extra "OMAKE" mode.
##       ███████████████████████████████████████████████████████████████████████████████████████████         

label extra_gallery:
    scene gui_extra_gallery_menu with dissolve
    python:
        result = renpy.imagemap("gui_extra_gallery_menu_a1.png", "gui_extra_gallery_menu_a2.png", [
        (502, 131, 752, 207, "character"),
        (462, 263, 713, 339, "background"), 
        (422, 395, 673, 470, "others"),
        (609, 525, 796, 564, "return"),
        ], focus="imagemap")
        
    if result == "character":
        jump gallery_character
        
    elif result == "background":
        scene gui_extra_gallery_background with dissolve
        jump gallery_background
        
    elif result == "others":
        jump gallery_others
        
    elif result == "return":
        $ renpy.block_rollback()
        scene gui_extra_menu with dissolve
        jump extra_menu

##       ███████████████████████████████████████████████████████████████████████████████████████████     
##       GALLERY CHARACTER SPRITES                                                                                                                                 
##       This is where the game jumps if you entered "CHARACTER" inside "CG GALLERY" mode.
##       ███████████████████████████████████████████████████████████████████████████████████████████  

label gallery_character: 
    scene gui_extra_gallery_character with dissolve
    python:
        result = renpy.imagemap("gui_extra_gallery_character_a1.png", "gui_extra_gallery_character_a2.png", [
        (249, 145, 359, 420, "gallery_sylvie"),
        (376, 145, 517, 420, "gallery_lucy"), 
        (518, 145, 644, 420, "gallery_fat_sylvie"),
        (668, 145, 779, 420, "gallery_mugen"),
        (609, 525, 796, 564, "return"),
        ], focus="imagemap")
        
    if result == "gallery_sylvie":
        scene bg uni  with dissolve
        show sylvie wistful 01 with dissolve
        $ renpy.pause(50000.0, hard=False)
        show sylvie wistful 02 with dissolve
        $ renpy.pause(50000.0, hard=False)
        show sylvie wistful 03 with dissolve
        $ renpy.pause(50000.0, hard=False)    
        show sylvie smile 01 with dissolve
        $ renpy.pause(50000.0, hard=False)
        show sylvie smile 02 with dissolve
        $ renpy.pause(50000.0, hard=False)
        show sylvie smile 03 with dissolve
        $ renpy.pause(50000.0, hard=False)
        show sylvie smile 04 with dissolve
        $ renpy.pause(50000.0, hard=False)
        show sylvie giggle 01 with dissolve
        $ renpy.pause(50000.0, hard=False)
        show sylvie giggle 02 with dissolve
        $ renpy.pause(50000.0, hard=False)
        show sylvie giggle 03 with dissolve
        $ renpy.pause(50000.0, hard=False)
        show sylvie ahh 01 with dissolve
        $ renpy.pause(50000.0, hard=False)
        show sylvie ahh 02 with dissolve
        $ renpy.pause(50000.0, hard=False)
        show sylvie ahh 03 with dissolve
        $ renpy.pause(50000.0, hard=False)
        show sylvie suprised 01 with dissolve   
        $ renpy.pause(50000.0, hard=False)
        show sylvie suprised 02 with dissolve
        $ renpy.pause(50000.0, hard=False)
        jump gallery_character
        
    elif result == "gallery_lucy":
        scene bg classroom with dissolve
        show lucy 01 with dissolve
        $ renpy.pause(50000.0, hard=False)
        show lucy 02 with dissolve
        $ renpy.pause(50000.0, hard=False)
        show lucy 03 with dissolve
        $ renpy.pause(50000.0, hard=False)
        show lucy 04 with dissolve
        $ renpy.pause(50000.0, hard=False)
        show lucy 05 with dissolve
        $ renpy.pause(50000.0, hard=False)
        show lucy 06 with dissolve
        $ renpy.pause(50000.0, hard=False)
        show lucy 07 with dissolve
        $ renpy.pause(50000.0, hard=False)
        jump gallery_character
        
    elif result == "gallery_fat_sylvie":
        scene bg conveniencestore with dissolve
        show fsylvie 01 with dissolve
        $ renpy.pause(50000.0, hard=False)
        show fsylvie 02 with dissolve
        $ renpy.pause(50000.0, hard=False)
        show fsylvie 03 with dissolve
        $ renpy.pause(50000.0, hard=False)
        show fsylvie 04 with dissolve
        $ renpy.pause(50000.0, hard=False)
        show fsylvie 05 with dissolve
        $ renpy.pause(50000.0, hard=False)
        show fsylvie 06 with dissolve
        $ renpy.pause(50000.0, hard=False)
        show fsylvie 07 with dissolve
        $ renpy.pause(50000.0, hard=False)
        show fsylvie 08 with dissolve
        $ renpy.pause(50000.0, hard=False)
        jump gallery_character
    
    elif result == "gallery_mugen":
        scene bg morning path with dissolve
        show mugen far with dissolve
        $ renpy.pause(50000.0, hard=False)
        show mugen 01 with dissolve
        $ renpy.pause(50000.0, hard=False)
        show mugen 02 with dissolve
        $ renpy.pause(50000.0, hard=False)
        show mugen 03 with dissolve
        $ renpy.pause(50000.0, hard=False)
        show mugen 04 with dissolve
        $ renpy.pause(50000.0, hard=False)
        show mugen 05 with dissolve
        $ renpy.pause(50000.0, hard=False)
        show mugen 06 with dissolve
        $ renpy.pause(50000.0, hard=False)
        show mugen 07 with dissolve
        $ renpy.pause(50000.0, hard=False)
        show mugen 08 with dissolve
        $ renpy.pause(50000.0, hard=False)
        show mugen 09 with dissolve
        $ renpy.pause(50000.0, hard=False)
        jump gallery_character   
        
    elif result == "return":
        $ renpy.block_rollback()
        jump extra_gallery  

        
##       ███████████████████████████████████████████████████████████████████████████████████████████     
##       GALLERY BACKGROUND                                                                                                                                  
##       This is where the game jumps if you entered "BACKGROUNDS" inside "CG GALLERY" mode.
##       ███████████████████████████████████████████████████████████████████████████████████████████     

label gallery_background:
    scene gui_extra_gallery_background
    python:
        result = renpy.imagemap("gui_extra_gallery_background_a1.png", "gui_extra_gallery_background_a2.png", [
        (286, 158, 432, 268, "street"),
        (456, 158, 603, 268, "hallway"), 
        (625, 158, 771, 268, "paqmart"),
        (286, 322, 432, 433, "classroom"),
        (456, 322, 603, 433, "university"),
        (625, 322, 771, 433, "bsstudios"),
        (609, 525, 796, 564, "return"),
        ], focus="imagemap")
        
    if result == "street":
        $ renpy.block_rollback()
        scene bg morning path with dissolve
        $ renpy.pause(50000.0, hard=False)
        scene gui_extra_gallery_background with dissolve
        jump gallery_background
        
    elif result == "hallway":
        $ renpy.block_rollback()
        scene bg locker with dissolve
        $ renpy.pause(50000.0, hard=False)
        scene gui_extra_gallery_background with dissolve
        jump gallery_background
        
    elif result == "paqmart":
        $ renpy.block_rollback()
        scene bg conveniencestore with dissolve
        $ renpy.pause(50000.0, hard=False)
        scene gui_extra_gallery_background with dissolve
        jump gallery_background
        
    elif result == "classroom":
        $ renpy.block_rollback()
        scene bg classroom with dissolve
        $ renpy.pause(50000.0, hard=False)
        scene gui_extra_gallery_background with dissolve
        jump gallery_background
        
    elif result == "university":
        $ renpy.block_rollback()
        scene bg uni with dissolve
        $ renpy.pause(50000.0, hard=False)
        scene gui_extra_gallery_background with dissolve
        jump gallery_background

    elif result == "bsstudios":
        $ renpy.block_rollback()
        scene bg studio with dissolve
        $ renpy.pause(50000.0, hard=False)
        scene gui_extra_gallery_background with dissolve
        jump gallery_background
        
    elif result == "return":
        $ renpy.block_rollback()
        #scene e 04 with dissolve
        #$ renpy.pause(0.2, hard=True)
        scene gui_extra_gallery_menu with dissolve
        jump extra_gallery
        
        
##       ███████████████████████████████████████████████████████████████████████████████████████████     
##       OTHERS NO ENTRY                                                                                                                                  
##       Just leave...
##       ███████████████████████████████████████████████████████████████████████████████████████████

label others_no_entry: 
    lucy_ex "I'm sorry but this section is currently off-limits."
    lucy_ex "Finish \"The Fucking Visual Novel\" first to access this section."
    jump extra_gallery

label others_no_entry_b: 
    lucy_ex "I'm sorry but this section is currently off-limits."
    lucy_ex "Finish \"The Fucking Visual Novel\" first to access this section."
    jump extra_menu
    
    
##       ███████████████████████████████████████████████████████████████████████████████████████████     
##       GALLERY OTHERS                                                                                                                                  
##       This is where the game jumps if you entered "OTHERS" inside "CG GALLERY" mode.
##       ███████████████████████████████████████████████████████████████████████████████████████████    
label gallery_others:
    $ renpy.block_rollback()
    if not persistent.others_unlocked:
        jump others_no_entry
    scene bg another 01 with dissolve
    $ renpy.pause(50000.0, hard=False)
    scene bg another 02 with dissolve
    $ renpy.pause(50000.0, hard=False)
    scene bg another 03 with dissolve
    $ renpy.pause(50000.0, hard=False)
    scene bg another 04 with dissolve
    $ renpy.pause(50000.0, hard=False)
    scene bg another 05 with dissolve
    $ renpy.pause(50000.0, hard=False)
    scene bg another 06 with dissolve
    $ renpy.pause(50000.0, hard=False)
    scene bg another 07 with dissolve
    $ renpy.pause(50000.0, hard=False)
    scene bg another 08 with dissolve
    $ renpy.pause(50000.0, hard=False)
    scene bg another 09 with dissolve
    $ renpy.pause(50000.0, hard=False)
    scene bg another 10 with dissolve
    $ renpy.pause(50000.0, hard=False)
    scene bg another 11 with dissolve
    $ renpy.pause(50000.0, hard=False)
    scene bg another 12 with dissolve
    $ renpy.pause(50000.0, hard=False)
    scene bg another 13 with dissolve
    $ renpy.pause(50000.0, hard=False)
    scene bg another 14 with dissolve
    $ renpy.pause(50000.0, hard=False)
    scene bg another 15 with dissolve
    $ renpy.pause(50000.0, hard=False)
    scene bg another 16 with dissolve
    $ renpy.pause(50000.0, hard=False)
    scene bg another 17 with dissolve
    $ renpy.pause(50000.0, hard=False)
    scene bg another 18 with dissolve
    $ renpy.pause(50000.0, hard=False)
    scene bg another 19 with dissolve
    $ renpy.pause(50000.0, hard=False)
    scene bg another 20 with dissolve
    $ renpy.pause(50000.0, hard=False)
    scene bg another 21 with dissolve
    $ renpy.pause(50000.0, hard=False)
    scene bg another 22 with dissolve
    $ renpy.pause(50000.0, hard=False)
    scene bg another 23 with dissolve
    $ renpy.pause(50000.0, hard=False)
    scene bg another 24 with dissolve
    $ renpy.pause(50000.0, hard=False)
    scene bg another 25 with dissolve
    $ renpy.pause(50000.0, hard=False)
    scene bg another 26 with dissolve
    $ renpy.pause(50000.0, hard=False)
    scene bg another 27 with dissolve
    $ renpy.pause(50000.0, hard=False)
    scene bg another 28 with dissolve
    $ renpy.pause(50000.0, hard=False)
    scene bg another 29 with dissolve
    $ renpy.pause(50000.0, hard=False)
    scene bg another 30 with dissolve
    $ renpy.pause(50000.0, hard=False)
    scene bg another 31 with dissolve
    $ renpy.pause(50000.0, hard=False)
    scene bg another 32 with dissolve
    $ renpy.pause(50000.0, hard=False)
    scene bg another deadmaid 01 with dissolve
    $ renpy.pause(50000.0, hard=False)
    scene bg another deadmaid 02 with dissolve
    $ renpy.pause(50000.0, hard=False)
    show gui_extra_gallery_menu with dissolve
    $ renpy.block_rollback()
    $ renpy.pause(0.2, hard=True)
    jump extra_gallery

##       ███████████████████████████████████████████████████████████████████████████████████████████     
##       SCRAP GALLERY                                                                                                                                  
##       This is where the game jumps if you entered "LEFTOVERS" inside extra "OMAKE" mode.
##       ███████████████████████████████████████████████████████████████████████████████████████████ 

label scrap:    
    $ renpy.block_rollback()
    if not persistent.others_unlocked:
        jump others_no_entry_b
    scene bg scrap joel with dissolve
    $ renpy.pause(50000.0, hard=False)
    scene bg scrap boyet with dissolve
    $ renpy.pause(50000.0, hard=False)
    scene bg scrap diego with dissolve
    $ renpy.pause(50000.0, hard=False)
    scene bg scrap rommel with dissolve
    $ renpy.pause(50000.0, hard=False)
    scene bg scrap snapshot with dissolve
    $ renpy.pause(50000.0, hard=False)
    $ renpy.block_rollback()
    scene gui_extra_menu with dissolve
    jump extra_menu
    
##       ███████████████████████████████████████████████████████████████████████████████████████████     
##       MUSIC ROOM                                                                                                                                  
##       This is where the game jumps if you entered "MUSIC ROOM" inside extra "OMAKE" mode.
##       ███████████████████████████████████████████████████████████████████████████████████████████     

label music_room:
    scene gui_music_room
    python:
        result = renpy.imagemap(Animation("gui_music_room_a1.png", 0.7, "gui_music_room_a2.png", 0.7, ), "gui_music_room_b1.png", [
        (336, 188, 357, 212, "music1"),
        (336, 308, 357, 333, "music2"),
        (336, 428, 357, 452, "music3"),
        (391, 188, 412, 212, "musicstop1"),
        (391, 308, 412, 333, "musicstop2"),
        (391, 428, 412, 452, "musicstop3"),

        (634, 201, 661, 230, "sfx01"),
        (671, 201, 698, 230, "sfx02"),
        (708, 201, 736, 230, "sfx03"),
        (745, 201, 773, 230, "sfx04"),
        
        (634, 240, 661, 270, "sfx05"),
        (671, 240, 698, 270, "sfx06"),
        (708, 240, 736, 270, "sfx07"),
        (745, 240, 773, 270, "sfx08"),
        
        (634, 280, 661, 309, "sfx09"),
        (671, 280, 698, 309, "sfx10"),
        (708, 280, 736, 309, "sfx11"),
        (745, 280, 773, 309, "sfx12"),
        
        (634, 321, 661, 349, "sfx13"),
        (671, 321, 698, 349, "sfx14"),
        (708, 321, 736, 349, "sfx15"),
        (745, 321, 773, 349, "sfx16"),
        
        (634, 361, 661, 389, "sfx17"),
        (671, 361, 698, 389, "sfx18"),
        (708, 361, 736, 389, "sfx19"),
        (745, 361, 773, 389, "sfx20"),
        
        (634, 401, 661, 430, "sfx21"),
        (671, 401, 698, 430, "sfx22"),
        
        (609, 525, 796, 564, "back"),
        ], focus="imagemap")
        
    if result == "music1":
        play music "illusions_piano-version.ogg"
        $ music_playing = True
        jump music_room
        
    elif result == "music2":
        play music "illurock.ogg"
        $ music_playing = True
        jump music_room   
        
    elif result == "music3":
        play music "snipheavy_dyn.ogg"
        $ music_playing = True
        jump music_room
        
    elif result == "musicstop1":
        stop music fadeout 1.0
        jump music_room

    elif result == "musicstop2":
        stop music fadeout 1.0
        jump music_room

    elif result == "musicstop3":
        stop music fadeout 1.0
        jump music_room

    elif result == "sfx01":
        $ renpy.sound.play("duh_01.ogg", channel=1,)
        jump music_room
    elif result == "sfx02":
        $ renpy.sound.play("duh_02.ogg", channel=1,)
        jump music_room
    elif result == "sfx03":
        $ renpy.sound.play("duh_03.ogg", channel=1,)
        jump music_room
    elif result == "sfx04":
        $ renpy.sound.play("duh_04.ogg", channel=1,)
        jump music_room

    elif result == "sfx05":
        $ renpy.sound.play("duh_05.ogg", channel=1,)
        jump music_room
    elif result == "sfx06":
        $ renpy.sound.play("duh_06.ogg", channel=1,)
        jump music_room
    elif result == "sfx07":
        $ renpy.sound.play("duh_07.ogg", channel=1,)
        jump music_room
    elif result == "sfx08":
        $ renpy.sound.play("kapop.ogg", channel=1,)
        jump music_room
        
    elif result == "sfx09":
        $ renpy.sound.play("moveokd.ogg", channel=1,)
        jump music_room
    elif result == "sfx10":
        $ renpy.sound.play("phart.ogg", channel=1,)
        jump music_room
    elif result == "sfx11":
        $ renpy.sound.play("pop01.ogg", channel=1,)
        jump music_room
    elif result == "sfx12":
        $ renpy.sound.play("pop02.ogg", channel=1,)
        jump music_room

    elif result == "sfx13":
        $ renpy.sound.play("pop03.ogg", channel=1,)
        jump music_room
    elif result == "sfx14":
        $ renpy.sound.play("pop04.ogg", channel=1,)
        jump music_room
    elif result == "sfx15":
        $ renpy.sound.play("pop05.ogg", channel=1,)
        jump music_room
    elif result == "sfx16":
        $ renpy.sound.play("pop.ogg", channel=1,)
        jump music_room

    elif result == "sfx17":
        $ renpy.sound.play("swing.ogg", channel=1,)
        jump music_room
    elif result == "sfx18":
        $ renpy.sound.play("swish.ogg", channel=1,)
        jump music_room
    elif result == "sfx19":
        $ renpy.sound.play("toing.ogg", channel=1,)
        jump music_room
    elif result == "sfx20":
        $ renpy.sound.play("ugh01.ogg", channel=1,)
        jump music_room
        
    elif result == "sfx21":
        $ renpy.sound.play("ugh02.ogg", channel=1,)
        jump music_room
    elif result == "sfx22":
        $ renpy.sound.play("ugh03.ogg", channel=1,)
        jump music_room
        
    elif result == "back":
        $ renpy.block_rollback()
        scene gui_extra_menu with dissolve
        $ music_playing = True
        jump extra

